## audacity 2.0.5

=== lib-src/libsoxr/CMakeLists.txt ===
# SoX Resampler Library       Copyright (c) 2007-12 robs@users.sourceforge.net
# Licence for this file: LGPL v2.1                  See LICENCE for details.

cmake_minimum_required (VERSION 2.8 FATAL_ERROR)

project (soxr C)
set (DESCRIPTION_SUMMARY "One-dimensional sample-rate conversion library")



# Release versioning:

set (PROJECT_VERSION_MAJOR 0)
set (PROJECT_VERSION_MINOR 0)
set (PROJECT_VERSION_PATCH 5)

# For shared-object; if, since the last public release:
#  * library code changed at all: ++revision
#  * interfaces changed at all:   ++current, revision = 0
#  * interfaces added:            ++age
#  * interfaces removed:          age = 0

set (SO_VERSION_CURRENT  0)
set (SO_VERSION_REVISION 0)
set (SO_VERSION_AGE      0)



# Main options:

include (CMakeDependentOption)

if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif ()

option (BUILD_TESTS "Build sanity-tests."  OFF)
option (BUILD_SHARED_LIBS "Build shared libraries." ON)
option (BUILD_EXAMPLES "Build examples." OFF)
option (WITH_OPENMP "Include OpenMP threading." ON)
option (WITH_LSR_BINDINGS "Include a `libsamplerate'-like interface." ON)
cmake_dependent_option (WITH_SINGLE_PRECISION "Build with single precision (for up to 20-bit accuracy)." ON
  "WITH_DOUBLE_PRECISION" ON)
cmake_dependent_option (WITH_DOUBLE_PRECISION "Build with double precision (for up to 32-bit accuracy)." ON
  "WITH_SINGLE_PRECISION" ON)
cmake_dependent_option (WITH_SIMD "Use SIMD (for faster single precision)." ON
  "WITH_SINGLE_PRECISION" OFF)
cmake_dependent_option (WITH_AVFFT "Use libavcodec (LGPL) for SIMD DFT." OFF
  "WITH_SIMD;NOT WITH_PFFFT" OFF)
cmake_dependent_option (WITH_PFFFT "Use PFFFT (BSD-like licence) for SIMD DFT." ON
  "WITH_SIMD;NOT WITH_AVFFT" OFF)
if (UNIX)
  cmake_dependent_option (BUILD_LSR_TESTS "Build LSR tests." OFF
    "WITH_LSR_BINDINGS" OFF)
endif ()



# Introspection:

list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

include (CheckFunctionExists)
include (CheckIncludeFiles)
include (CheckLibraryExists)
include (TestBigEndian)

check_library_exists (m pow "" NEED_LIBM)
if (NEED_LIBM)
  set (CMAKE_REQUIRED_LIBRARIES "m;${CMAKE_REQUIRED_LIBRARIES}")
  link_libraries (m)
endif ()

if (WITH_OPENMP)
  find_package (OpenMP)
endif ()
if (OPENMP_FOUND)
  set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
  set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
endif ()

if (WITH_SIMD)
  find_package (SIMD)
  if (SIMD_FOUND)
    set (HAVE_SIMD 1)
  endif ()
endif ()

if (WITH_SINGLE_PRECISION)
  set (HAVE_SINGLE_PRECISION 1)
endif ()

if (WITH_DOUBLE_PRECISION)
  set (HAVE_DOUBLE_PRECISION 1)
endif ()

if (WITH_AVFFT)
  find_package (LibAVCodec)
  if (AVCODEC_FOUND)
    include_directories (${AVCODEC_INCLUDE_DIRS})
    link_libraries (${AVCODEC_LIBRARIES})
    set (HAVE_AVFFT 1)
  endif ()
endif ()

if (EXISTS ${PROJECT_SOURCE_DIR}/src/vr32.c)
  set (HAVE_VR 1)
endif ()

check_function_exists (lrint HAVE_LRINT)
check_include_files (fenv.h HAVE_FENV_H)
test_big_endian (WORDS_BIGENDIAN)

macro (make_exist)
  foreach (x ${ARGN})
    if (NOT ${x})
      set (${x} 0)
    endif ()
  endforeach ()
endmacro ()

make_exist (HAVE_LRINT HAVE_FENV_H WORDS_BIGENDIAN HAVE_SIMD HAVE_VR)
make_exist (HAVE_SINGLE_PRECISION HAVE_DOUBLE_PRECISION HAVE_AVFFT)



# Compiler configuration:

if (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
  set (PROJECT_CXX_FLAGS "-Wconversion -Wall -W -pedantic -Wundef -Wcast-align -Wpointer-arith -Wno-long-long")
  set (PROJECT_C_FLAGS "${PROJECT_CXX_FLAGS} -Wnested-externs -Wmissing-prototypes -Wstrict-prototypes")
  if (CMAKE_BUILD_TYPE STREQUAL "Release")
    set (CMAKE_SHARED_LINKER_FLAGS "-s") # strip
  endif ()
  #option (VISIBILITY_HIDDEN "Build with -fvisibility=hidden." ON)
  if (VISIBILITY_HIDDEN)
    add_definitions (-fvisibility=hidden)
  endif ()
endif ()

if (MSVC)
  add_definitions (-D_USE_MATH_DEFINES -D_CRT_SECURE_NO_WARNINGS)
  option (ENABLE_STATIC_RUNTIME "Visual Studio, link with runtime statically."  OFF)
  if (ENABLE_STATIC_RUNTIME)
    foreach (flag_var CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
      string (REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
    endforeach ()
  endif ()
  # By default, do not warn when built on machines using only VS Express:
  if (NOT DEFINED CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS_NO_WARNINGS)
    set (CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS_NO_WARNINGS ON)
  endif ()
endif ()



# Build configuration:

if (${BUILD_SHARED_LIBS} AND ${CMAKE_SYSTEM_NAME} STREQUAL Windows) # Allow exes to find dlls:
  set (BIN ${PROJECT_BINARY_DIR}/bin/)
  set (EXAMPLES_BIN ${BIN})
  set (CMAKE_LIBRARY_OUTPUT_DIRECTORY ${BIN})
  set (CMAKE_RUNTIME_OUTPUT_DIRECTORY ${BIN})
else ()
  set (BIN ./)
  set (EXAMPLES_BIN ../examples/)
endif ()

set (LIB_TYPE STATIC)
if (BUILD_SHARED_LIBS)
  set (LIB_TYPE SHARED)
  if (MSVC)
    add_definitions (-DSOXR_DLL)
  endif ()
endif ()



# Installation configuration:

set (LIB_SUFFIX "" CACHE STRING "Define suffix of libraries directory name (32 or 64).")
set (BIN_INSTALL_DIR "bin" CACHE PATH "The subdirectory to the binaries." FORCE)
set (LIB_INSTALL_DIR "lib${LIB_SUFFIX}" CACHE PATH "The subdirectory to the libraries." FORCE)
set (INCLUDE_INSTALL_DIR "include" CACHE PATH "The subdirectory to the headers." FORCE)

if (APPLE)
  option (BUILD_FRAMEWORK "Build an OS X framework." OFF)
  set (FRAMEWORK_INSTALL_DIR "/Library/Frameworks" CACHE STRING "Directory to install frameworks to.")
endif ()



# Top-level:

set (PROJECT_VERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
math (EXPR SO_VERSION_MAJOR "${SO_VERSION_CURRENT} - ${SO_VERSION_AGE}")
math (EXPR SO_VERSION_MINOR "${SO_VERSION_AGE}")
math (EXPR SO_VERSION_PATCH "${SO_VERSION_REVISION}")
set (SO_VERSION ${SO_VERSION_MAJOR}.${SO_VERSION_MINOR}.${SO_VERSION_PATCH})

configure_file (
  ${PROJECT_SOURCE_DIR}/${PROJECT_NAME}-config.h.in
  ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-config.h)
include_directories (${PROJECT_BINARY_DIR})

if (BUILD_TESTS OR BUILD_LSR_TESTS)
  enable_testing ()
endif ()



# Subdirectories:

include_directories (${PROJECT_SOURCE_DIR}/src)

add_subdirectory (src)
if (BUILD_TESTS)
  add_subdirectory (tests)
endif ()
if (BUILD_LSR_TESTS)
  add_subdirectory (lsr-tests)
endif ()
if (BUILD_EXAMPLES OR BUILD_TESTS)
  add_subdirectory (examples)
endif ()



# Rough-and-ready distclean for anyone still doing in-tree builds:

if (UNIX)
  add_custom_target (distclean
    COMMAND make clean && rm -rf
      CMakeCache.txt
      CMakeFiles
      cmake_install.cmake
      CPackConfig.cmake
      CPackSourceConfig.cmake
      deinstall.cmake
      Makefile
      soxr-config.h
      src/CMakeFiles
      src/cmake_install.cmake
      src/libsoxr-dev.src
      src/libsoxr-lsr.pc
      src/libsoxr.pc
      src/libsoxr.src
      src/Makefile)
endif ()



# Deinstallation:

configure_file (
  "${CMAKE_CURRENT_SOURCE_DIR}/deinstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/deinstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target (deinstall
  COMMAND ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/deinstall.cmake")



# Packaging:

if (UNIX)
  set (CPACK_PACKAGE_VERSION_MAJOR "${PROJECT_VERSION_MAJOR}")
  set (CPACK_PACKAGE_VERSION_MINOR "${PROJECT_VERSION_MINOR}")
  set (CPACK_PACKAGE_VERSION_PATCH "${PROJECT_VERSION_PATCH}")

  set (CPACK_SOURCE_GENERATOR "TBZ2")
  set (CPACK_SOURCE_IGNORE_FILES "/Debug/;/Release/;/cpack/;\\\\.swp$;\\\\.gitignore")

  include (CPack)

  if (IS_DIRECTORY ${PROJECT_SOURCE_DIR}/cpack)
    add_subdirectory (cpack)
  endif ()
endif ()

=== lib-src/libsoxr/examples/CMakeLists.txt ===
# SoX Resampler Library       Copyright (c) 2007-12 robs@users.sourceforge.net
# Licence for this file: LGPL v2.1                  See LICENCE for details.

if (${BUILD_EXAMPLES})
  project (soxr)
  file (GLOB SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/*.[cC])
  if (NOT BUILD_SHARED_LIBS AND OPENMP_FOUND)
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_C_FLAGS}")
  endif ()
else ()
  file (GLOB SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/3*.c)
endif ()

set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${PROJECT_C_FLAGS}")
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${PROJECT_CXX_FLAGS}")
link_libraries (${PROJECT_NAME})

foreach (fe ${SOURCES})
  get_filename_component (f ${fe} NAME_WE)
  add_executable (${f} ${fe})
endforeach ()

=== lib-src/libsoxr/lsr-tests/CMakeLists.txt ===
# SoX Resampler Library       Copyright (c) 2007-12 robs@users.sourceforge.net
# Licence for this file: LGPL v2.1                  See LICENCE for details.

list (APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules)

find_package (FFTW)
if (FFTW_FOUND)
  include_directories (${FFTW_INCLUDE_DIRS})
  link_libraries (${FFTW_LIBRARIES})
  set (HAVE_FFTW3 1)
endif ()

find_package (sndfile)
if (SNDFILE_FOUND)
  include_directories (${SNDFILE_INCLUDE_DIRS})
  link_libraries (${SNDFILE_LIBRARIES})
  set (HAVE_SNDFILE 1)
endif ()

check_function_exists (lrintf HAVE_LRINTF)
check_function_exists (alarm HAVE_ALARM)
check_function_exists (signal HAVE_SIGNAL)
check_include_files (sys/times.h HAVE_SYS_TIMES_H)
make_exist (HAVE_LRINTF HAVE_ALARM HAVE_SIGNAL HAVE_SYS_TIMES_H)
make_exist (HAVE_FFTW HAVE_SNDFILE)

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
include_directories (${CMAKE_CURRENT_BINARY_DIR})

add_library (tests_lib SHARED util calc_snr)

link_libraries (tests_lib ${PROJECT_NAME}-lsr)

enable_testing ()

set (tests
  callback_hang_test callback_test downsample_test
  float_short_test misc_test multi_channel_test
  reset_test simple_test snr_bw_test termination_test varispeed_test)

foreach (test ${tests})
  add_executable (${test} ${test})
  add_test (lsr-${test} ${BIN}${test})
  set_property (TEST lsr-${test} PROPERTY ENVIRONMENT "SOXR_LSR_STRICT=1")
endforeach ()

add_executable (multichan_throughput_test multichan_throughput_test)
add_executable (throughput_test throughput_test )
add_executable (sndfile-resample sndfile-resample)

=== lib-src/libsoxr/src/CMakeLists.txt ===
# SoX Resampler Library       Copyright (c) 2007-12 robs@users.sourceforge.net
# Licence for this file: LGPL v2.1                  See LICENCE for details.

add_definitions (${PROJECT_C_FLAGS} -DSOXR_LIB)



# Libsoxr configuration:

set (RDFT32 fft4g32)
if (WITH_AVFFT AND AVCODEC_FOUND)
  set (RDFT32S avfft32s)
elseif (WITH_PFFFT)
  set (RDFT32S pffft32s)
elseif (WITH_SIMD)
  set (RDFT32S fft4g32s)
endif ()

if (WITH_DOUBLE_PRECISION)
  set (DP_SOURCES rate64)
endif ()

if (WITH_SINGLE_PRECISION)
  set (SP_SOURCES rate32 ${RDFT32})
endif ()

if (HAVE_VR)
  set (VR_SOURCES vr32)
endif ()

if (HAVE_SIMD)
  set (SIMD_SOURCES rate32s ${RDFT32S} simd)
  foreach (source ${SIMD_SOURCES})
    set_property (SOURCE ${source} PROPERTY COMPILE_FLAGS ${SIMD_C_FLAGS})
  endforeach ()
endif ()



# Libsoxr:

add_library (${PROJECT_NAME} ${LIB_TYPE} ${PROJECT_NAME}.c data-io dbesi0 filter fft4g64
  ${SP_SOURCES} ${VR_SOURCES} ${DP_SOURCES} ${SIMD_SOURCES})
set_target_properties (${PROJECT_NAME} PROPERTIES
  VERSION "${SO_VERSION}"
  SOVERSION ${SO_VERSION_MAJOR}
  INSTALL_NAME_DIR ${LIB_INSTALL_DIR}
  LINK_INTERFACE_LIBRARIES ""
  PUBLIC_HEADER "${PROJECT_NAME}.h")
if (BUILD_FRAMEWORK)
  set_target_properties (${PROJECT_NAME} PROPERTIES FRAMEWORK TRUE)
elseif (NOT WIN32)
  set (TARGET_PCS ${CMAKE_CURRENT_BINARY_DIR}/lib${PROJECT_NAME}.pc)
  configure_file (${CMAKE_CURRENT_SOURCE_DIR}/lib${PROJECT_NAME}.pc.in ${TARGET_PCS})
  install (FILES ${CMAKE_CURRENT_BINARY_DIR}/lib${PROJECT_NAME}.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif ()



# LSR bindings:

if (WITH_LSR_BINDINGS)
  set (LSR ${PROJECT_NAME}-lsr)
  set (LSR_SO_VERSION 0.1.8)
  set (LSR_SO_VERSION_MAJOR 0)
  add_library (${LSR} ${LIB_TYPE} lsr)
  target_link_libraries (${LSR} ${PROJECT_NAME})
  set_target_properties (${LSR} PROPERTIES
    VERSION "${LSR_SO_VERSION}"
    SOVERSION ${LSR_SO_VERSION_MAJOR}
    INSTALL_NAME_DIR ${LIB_INSTALL_DIR}
    LINK_INTERFACE_LIBRARIES ""
    PUBLIC_HEADER "${LSR}.h")
  if (BUILD_FRAMEWORK)
    set_target_properties (${LSR} PROPERTIES FRAMEWORK TRUE)
  elseif (NOT WIN32)
    set (TARGET_PCS "${TARGET_PCS} ${CMAKE_CURRENT_BINARY_DIR}/lib${LSR}.pc")
    configure_file (${CMAKE_CURRENT_SOURCE_DIR}/lib${LSR}.pc.in ${CMAKE_CURRENT_BINARY_DIR}/lib${LSR}.pc)
    install (FILES ${CMAKE_CURRENT_BINARY_DIR}/lib${LSR}.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
  endif ()
endif ()



# Installation (from build from source):

install (TARGETS ${PROJECT_NAME} ${LSR}
  FRAMEWORK DESTINATION ${FRAMEWORK_INSTALL_DIR}
  LIBRARY DESTINATION ${LIB_INSTALL_DIR}
  RUNTIME DESTINATION ${BIN_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
  PUBLIC_HEADER DESTINATION ${INCLUDE_INSTALL_DIR})



# Packaging (for unix-like distributions):

get_property (LIB1 TARGET ${PROJECT_NAME} PROPERTY LOCATION)
if (BUILD_SHARED_LIBS)
  set (LIB1 ${LIB1}.${SO_VERSION_MAJOR} ${LIB1}.${SO_VERSION})
endif ()
list (APPEND TARGET_HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.h")
if (WITH_LSR_BINDINGS)
  get_property (LIB2 TARGET ${LSR} PROPERTY LOCATION)
  if (BUILD_SHARED_LIBS)
    set (LIB2 ${LIB2}.${LSR_SO_VERSION_MAJOR} ${LIB2}.${LSR_SO_VERSION})
  endif ()
  list (APPEND TARGET_HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/${LSR}.h")
endif ()
set (TARGET_LIBS ${LIB1} ${LIB2})
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/libsoxr.src.in ${CMAKE_CURRENT_BINARY_DIR}/libsoxr.src)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/libsoxr-dev.src.in ${CMAKE_CURRENT_BINARY_DIR}/libsoxr-dev.src)

=== lib-src/libsoxr/tests/CMakeLists.txt ===
# SoX Resampler Library       Copyright (c) 2007-12 robs@users.sourceforge.net
# Licence for this file: LGPL v2.1                  See LICENCE for details.

add_definitions (${PROJECT_C_FLAGS})
link_libraries (${PROJECT_NAME})

file (GLOB SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/*.c)
foreach (fe ${SOURCES})
  get_filename_component (f ${fe} NAME_WE)
  add_executable (${f} ${fe})
endforeach ()

enable_testing ()

set (sweep_to_freq 22050)
set (leader 1)
set (len 16)
math (EXPR base_rate "${sweep_to_freq} + ${sweep_to_freq}")

macro (add_vector r)
  set (output ${CMAKE_CURRENT_BINARY_DIR}/ref-${r}.s32)
  add_custom_command (OUTPUT ${output} DEPENDS vector-gen ${CMAKE_CURRENT_LIST_FILE}
    COMMAND vector-gen ${r} ${leader} ${len} ${sweep_to_freq} 1 ${output})
  set (vectors ${output} ${vectors})
endmacro ()

macro (add_cmp_test from to bits)
  set (name ${bits}-bit-perfect-${from}-${to})
  add_test (NAME ${name} COMMAND ${CMAKE_COMMAND} -Dbits=${bits} -DBIN=${BIN} -DEXAMPLES_BIN=${EXAMPLES_BIN} -Dleader=${leader} -Dto=${to}
    -Dfrom=${from} -Dlen=${len} -P ${CMAKE_CURRENT_SOURCE_DIR}/cmp-test.cmake)
  add_vector (${from})
  add_vector (${to})
endmacro ()

unset (test_bits)
if (WITH_SINGLE_PRECISION)
  set (test_bits 20)
endif ()
if (WITH_DOUBLE_PRECISION)
  set (test_bits ${test_bits} 24)
endif ()

foreach (b ${test_bits})
  foreach (r 96000 65537)
    add_cmp_test (${base_rate} ${r} ${b})
    add_cmp_test (${r} ${base_rate} ${b})
  endforeach ()
endforeach ()

add_custom_target (test-vectors ALL DEPENDS ${vectors})

=== debian/changelog ===
audacity (2.0.5-1ubuntu3.2) trusty-proposed; urgency=medium

  * Really enable FFmpeg and fix crash on FFmpeg import (LP: #1076928)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 05 Jun 2014 23:16:16 +0200

audacity (2.0.5-1ubuntu3.1) trusty-proposed; urgency=medium

  * Add support for recent FFmpeg/libav versions. Thanks to Michael Niedermayer
    for the porting work. (Closes: #740755, LP: #1076928)
  * Fix default LADSPA search paths on Linux. (Closes: #724836, LP: #1261654)

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 31 May 2014 22:18:25 +0200

audacity (2.0.5-1ubuntu3) trusty; urgency=low

  * Disable libav support... Ubuntu now ships libav 9.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 10 Nov 2013 20:30:26 +0000

audacity (2.0.5-1ubuntu2) trusty; urgency=low

  * No change rebuild against libav 9.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 05 Nov 2013 01:19:47 +0000

audacity (2.0.5-1ubuntu1) trusty; urgency=low

  * Enable libav support again. Ubuntu does not ship libav 9 yet.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 22 Oct 2013 13:26:47 +0200

audacity (2.0.5-1) unstable; urgency=low

  * New upstream release.
  * Add distclean.patch to make dh_auto_clean work again.

 -- Benjamin Drung <bdrung@debian.org>  Tue, 22 Oct 2013 12:53:52 +0200

audacity (2.0.4-1) unstable; urgency=low

  * Team upload.

  [ Petr Vorel ]
  * debian/watch: Check for xz compressed tarballs. (Closes: #722133)

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/patches/bp-docdir-fix.patch: Removed (applied upstream).
  * Disable libav support. (Closes: #692809)
    audacity is not yet compatible with libav 9 and needs to be ported first.
    Until audacity has been ported, support for some audio formats (AC3, M4A,
    MP4, WMA) is not available.
    - debian/control: Remove libav{codec,format,util}-dev build dependencies.
    - debian/rules: Build with --without-ffmpeg.
  * Use dh-autoreconf to clean up generated auto* files.
  * Bump debhelper compat to 9.
    - Decreases the Installed-Size of audacity-dbg by a large amount since
      dh_strip now uses compressed debugging symbol files.
    - {C,CXX,LD,CPP}FLAGS are automatically exported.
    - Bump debhelper build dependency to >= 9. We at least need 8.1 to
      support Standards-Version 3.9.4 (binary-{arch,indep} targets).
  * debian/rules: Override dh_auto_clean since it gets confused by the output
    of 'make clean' and 'make distclean' and does not detect that the targets
    are available.
  * debian/control: Remove useless zip build-dependency.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 14 Sep 2013 18:19:36 +0200

audacity (2.0.3-1) unstable; urgency=low

  * New upstream release (LP: #1107520).
    - Add keyboard shortcut for export (LP: #651499)
  * Drop disable-dynamic-ffmpeg.patch (accepted upstream).
  * Replace libsamplerate by libsoxr, which is faster and produces better
    resampling results.
  * Bump Standard-Version to 3.9.4 (no changes needed).
  * Use canonical URI for VCS-* fields.
  * Fix docdir path.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 06 Apr 2013 14:28:29 +0200

=== debian/control ===
Source: audacity
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
           Benjamin Drung <bdrung@debian.org>,
           David Henningsson <diwic@ubuntu.com>
Standards-Version: 3.9.4
Build-Depends: autoconf,
               automake,
               debhelper (>= 9),
               dh-autoreconf,
               gettext,
               libasound2-dev [linux-any],
               libavcodec-dev (>= 6:0.8),
               libavformat-dev (>= 6:0.8),
               libavutil-dev (>= 6:0.8),
               libexpat1-dev,
               libflac++-dev,
               libgtk2.0-dev,
               libid3tag0-dev,
               libjack-dev,
               libmad0-dev (>= 0.14.2b),
               libmp3lame-dev,
               libogg-dev (>= 1.0.0),
               libportsmf-dev,
               libsbsms-dev (>= 2.0.0),
               libsndfile1-dev (>= 1.0.0),
               libsoundtouch-dev (>= 1.3.1-2),
               libsoxr-dev (>= 0.0.5),
               libtwolame-dev (>= 0.3.9),
               libvorbis-dev (>= 1.0.0-3),
               libwxgtk2.8-dev,
               portaudio19-dev (>= 19+svn20101113-3~),
               vamp-plugin-sdk (>= 2.0)
Build-Conflicts: libwxbase2.6-dev, wx2.6-headers
Homepage: http://audacity.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/audacity.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/audacity.git

Package: audacity
Architecture: any
Depends: audacity-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: ladspa-plugin
Description: fast, cross-platform audio editor
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and
 Windows.  It is designed for easy recording, playing and editing of
 digital audio.  Audacity features digital effects and spectrum
 analysis tools.  Editing is very fast and provides unlimited
 undo/redo.
 .
 Supported file formats include Ogg Vorbis, MP2, MP3, WAV, AIFF, and AU.

Package: audacity-data
Architecture: all
Depends: ${misc:Depends}
Recommends: audacity
Breaks: audacity (<= 1.3.6-2)
Replaces: audacity (<= 1.3.6-2)
Description: fast, cross-platform audio editor (data)
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and
 Windows.  It is designed for easy recording, playing and editing of
 digital audio.  Audacity features digital effects and spectrum
 analysis tools.  Editing is very fast and provides unlimited
 undo/redo.
 .
 This package contains the architecture-independent data files.

Package: audacity-dbg
Section: debug
Priority: extra
Architecture: any
Depends: audacity (= ${binary:Version}), ${misc:Depends}
Description: fast, cross-platform audio editor (debug)
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and
 Windows.  It is designed for easy recording, playing and editing of
 digital audio.  Audacity features digital effects and spectrum
 analysis tools.  Editing is very fast and provides unlimited
 undo/redo.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed

configure_flags := \
	--disable-dynamic-loading \
	--with-expat=system \
	--with-ffmpeg=system \
	--with-lame=system \
	--with-libflac=system \
	--with-libid3tag=system \
	--with-libmad=system \
	--without-libresample \
	--without-libsamplerate \
	--with-libsndfile=system \
	--with-libsoxr=system \
	--with-libtwolame=system \
	--with-libvamp=system \
	--with-libvorbis=system \
	--with-midi=system \
	--with-portaudio=system \
	--with-sbsms=system \
	--with-soundtouch=system \
	$(NULL)

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

override_dh_auto_install:
	dh_auto_install
	# Don't package unnecessary copy of GPL
	rm debian/tmp/usr/share/doc/audacity/LICENSE.txt

override_dh_strip:
	dh_strip --dbg-package=audacity-dbg

=== debian/watch ===
version=3
opts="uversionmangle=s/-beta//;s/\.?rc/~rc/" \
  http://code.google.com/p/audacity/downloads/list?can=1&num=1000 \
  .*/audacity-minsrc-(.+)\.tar\.(?:bz2|xz)
